org.apache.fop.fo.properties

## Class CommonAccessibility

- java.lang.Object
- - org.apache.fop.fo.properties.CommonAccessibility

    public final class CommonAccessibility
    extends Object

The "role" and "source-document" properties, see Section 7.5 of the XSL-FO 1.1 Recommendation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CommonAccessibility` `getInstance(PropertyList propertyList)` Returns an instance that matches the values (if any) in the given property list.
`String` `getRole()` Returns the value of the role property.
`String` `getSourceDocument()` Returns the value of the source-document property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CommonAccessibility getInstance(PropertyList propertyList)
                                           throws PropertyException

Returns an instance that matches the values (if any) in the given property list.

Parameters:
  `propertyList` - a list from which to retrieve the accessibility properties
Returns:
  the corresponding instance
Throws:
  `PropertyException` - if a problem occurs while retrieving the properties

#### getSourceDocument

    public String getSourceDocument()

Returns the value of the source-document property.

Returns:
  the source document, or null if the property was set to "none"

#### getRole

    public String getRole()

Returns the value of the role property.

Returns:
  the role, or null if the property was set to "none"